> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Attachments



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/attachments/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/attachments/:
    get:
      tags:
        - Reports
      summary: Attachments
      operationId: reports_attachments_list
      parameters:
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Attachment'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Attachment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        file:
          type: string
          format: uri
          readOnly: true
        friendly_name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
          nullable: true
        configuration_id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        file_extension:
          type: string
          readOnly: true
        file_size:
          type: integer
          readOnly: true
        friendly_filetype:
          type: string
          description: >-
            This method get_friendly_name first tries to match the MIME type to
            a friendly name.

            If the MIME type is not available or not in the predefined list, it
            falls back to using the

            file extension. You can expand the mime_to_name and ext_to_name
            dictionaries to include more

            MIME types and extensions as needed.


            Returns:
                str: A friendly name for the file type
          readOnly: true
        mime_type:
          type: string
          readOnly: true
        created_by:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
      required:
        - configuration_id
        - created_at
        - created_by
        - description
        - file
        - file_extension
        - file_size
        - friendly_filetype
        - friendly_name
        - id
        - mime_type
        - updated_at
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          maxLength: 250
        email:
          type: string
          format: email
          title: Email address
          maxLength: 255
        first_name:
          type: string
          nullable: true
          maxLength: 50
        last_name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - email
        - full_name
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````